﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" Theme="ACBP" MasterPageFile="~/Site.Master"
    CodeBehind="AllProyectos.aspx.vb" Inherits="ACBProyectos.AllProyectos" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register TagPrefix="Menu" Src="~/WebControls/Menu/MenuLateral.ascx" TagName="Lateral" %>
<%@ Register TagPrefix="Menu" Src="~/WebControls/Menu/MenuProyectos.ascx" TagName="Poryectos" %>
<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="MenuContent" ContentPlaceHolderID="LeftContent" runat="server">
    <Menu:Lateral ID="MenuLateral" ClientIDMode="AutoID" runat="server" />
</asp:Content>
<asp:Content ID="SubMenu" ContentPlaceHolderID="SubMenu" runat="server">
    <Menu:Poryectos ID="MenuProyectos" ClientIDMode="AutoID" runat="server" />
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
<asp:UpdatePanel ID="UpdatePanelProyectos" runat="server">
        <ContentTemplate>
            <div class="Toolbar">
                <asp:ImageButton ID="ButtonNewProyecto" ImageUrl="~/Styles/Imagenes/addProyecto.png"
                    PostBackUrl="~/Pages/Proyectos/AddProyecto.aspx" runat="server" AlternateText="<%$Resources:Interfaz,MapAddProyecto %>" />
                <asp:ImageButton ID="ButtonSearch" ImageUrl="~/Styles/Imagenes/buscar.png" runat="server"
                    AlternateText="<%$Resources:Interfaz,BotonBuscar %>" />
            </div>
            <div class="GridContent">
                <asp:GridView ID="GridViewProyectos" SkinID="GridACBP" runat="server" AutoGenerateColumns="False"
                    DataKeyNames="ProyectoID" DataSourceID="EntityDataSourceProyectos" AllowSorting="true"
                    AllowPaging="true" PageSize="13" EmptyDataText="<%$Resources:Interfaz,EmptyDataText %>">
                    <Columns>
                        <asp:BoundField DataField="ProyectoID" HeaderText="ProyectoID" ReadOnly="True" SortExpression="ProyectoID"
                            Visible="false" />
                        <asp:BoundField DataField="Cliente" HeaderText="<%$Resources:Interfaz,Cliente %>"
                            SortExpression="Cliente" ItemStyle-Width="220px" HeaderStyle-Width="220px" />
                        <asp:BoundField DataField="Proyecto" HeaderText="<%$Resources:Interfaz,Proyecto %>"
                            SortExpression="Proyecto" ItemStyle-Width="220px" HeaderStyle-Width="220px" />
                        <asp:BoundField DataField="Estado" HeaderText="<%$Resources:Interfaz,Estado %>" SortExpression="Estado"
                            ItemStyle-Width="80px" HeaderStyle-Width="80px" />
                        <asp:BoundField DataField="FechaInicio" HeaderText="<%$Resources:Interfaz,FechaInicio %>"
                            SortExpression="FechaInicio" ItemStyle-Width="80px" HeaderStyle-Width="80px"
                            DataFormatString="{0:d}" />
                        <asp:BoundField DataField="FechaFin" HeaderText="<%$Resources:Interfaz,FechaFin %>"
                            SortExpression="FechaFin" ItemStyle-Width="80px" HeaderStyle-Width="80px" DataFormatString="{0:d}" />
                        <asp:CheckBoxField DataField="IsBaja" HeaderText="IsBaja" SortExpression="IsBaja"
                            Visible="false" />
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:ImageButton ID="ButtonUpdate" CommandName="Modificar" runat="server" CommandArgument='<%# Eval("ProyectoID")%>'
                                    AlternateText="<%$Resources:Interfaz,AlternateTextUpdateGrid %>" ImageUrl="~/Styles/Imagenes/btnUpdate.png">
                                </asp:ImageButton>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:ImageButton ID="ButtonEliminar" CommandName="Eliminar" CommandArgument='<%# Eval("ProyectoID")%>'
                                    runat="server" AlternateText="<%$Resources:Interfaz,AlternateTextDeleteGrid %>"
                                    ImageUrl="~/Styles/Imagenes/btnDelete.png"></asp:ImageButton>
                                <asp:ConfirmButtonExtender ID="ConfirmButtonExtenderEliminar" TargetControlID="ButtonEliminar"
                                    ConfirmText="<%$Resources:Interfaz,ConfirmDeleteGrid %>" runat="server">
                                </asp:ConfirmButtonExtender>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:ImageButton ID="ButtonActivar" CommandName="Activar" CommandArgument='<%# Eval("ProyectoID")%>'
                                    runat="server" AlternateText="<%$Resources:Interfaz,AlternateTextActivarGrid %>"
                                    ImageUrl="~/Styles/Imagenes/btnActivar.png" Visible='<%# IIf(Eval("IsBaja"),true,false) %>'>
                                </asp:ImageButton>
                                <asp:ImageButton ID="ButtonDesactivar" CommandName="Desactivar" CommandArgument='<%# Eval("ProyectoID")%>'
                                    runat="server" AlternateText="<%$Resources:Interfaz,AlternateTextDesactivarGrid %>"
                                    ImageUrl="~/Styles/Imagenes/btnDesactivar.png" Visible='<%# IIf(Eval("IsBaja"),false,true) %>'>
                                </asp:ImageButton>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
                <asp:EntityDataSource ID="EntityDataSourceProyectos" runat="server" ConnectionString="name=ACBProyectosEntities"
                    DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vProyectosAll"
                    OrderBy="it.FechaInicio DESC" Where="it.ProyectoID<>0">
                    <WhereParameters>
                        <asp:Parameter Name="FechaInicioDesde" Type="DateTime" />
                        <asp:Parameter Name="FechaInicioHasta" Type="DateTime" />
                        <asp:Parameter Name="FechaFinDesde" Type="DateTime" />
                        <asp:Parameter Name="FechaFinHasta" Type="DateTime" />
                    </WhereParameters>
                </asp:EntityDataSource>
            </div>
            <!--Panel de búsqueda-->
            <asp:Panel ID="PanelSearch" CssClass="PanelSearch" runat="server" style="display:none">
                <asp:Panel ID="PanelCab" CssClass="PanelSearchCab" runat="server">
                    <asp:Label ID="LabelCabecera" runat="server" Text="<%$Resources:Interfaz,CabFiltros %>"></asp:Label>
                </asp:Panel>
                <asp:Panel ID="PanelText" CssClass="PanelSearchForm" runat="server">
                    <fieldset class="FormGrupos">
                        <legend>Campos de filtro</legend>
                        <p class="FormLine" style="margin-top: 10px">
                            <asp:Label ID="LabelFechaInicioDesde" AssociatedControlID="TextBoxFechaInicioDesde"
                                runat="server" Text="<%$Resources:Interfaz,FechaInicio %>" CssClass="FormLabel"
                                Width="72px"></asp:Label>
                            <asp:TextBox ID="TextBoxFechaInicioDesde" runat="server" CssClass="FormTextBox" MaxLength="10"
                                Width="70px"></asp:TextBox>
                            <asp:CalendarExtender ID="CalendarExtenderFechaInicioDesde" TargetControlID="TextBoxFechaInicioDesde"
                                PopupButtonID="TextBoxFechaInicioDesde" runat="server">
                            </asp:CalendarExtender>
                            <asp:MaskedEditExtender ID="MaskedEditExtenderFechaInicioDesde" MaskType="Date" Mask="99/99/9999"
                                runat="server" UserDateFormat="DayMonthYear" TargetControlID="TextBoxFechaInicioDesde">
                            </asp:MaskedEditExtender>
                            <asp:Label ID="LabelFechaInicioHasta" AssociatedControlID="TextBoxFechaInicioHasta"
                                runat="server" Text="<%$Resources:Interfaz,Hasta %>" CssClass="FormLabel"></asp:Label>
                            <asp:TextBox ID="TextBoxFechaInicioHasta" runat="server" CssClass="FormTextBox" MaxLength="10"
                                Width="70px"></asp:TextBox>
                            <asp:CalendarExtender ID="CalendarExtenderFechaInicioHasta" TargetControlID="TextBoxFechaInicioHasta"
                                PopupButtonID="TextBoxFechaInicioHasta" runat="server">
                            </asp:CalendarExtender>
                            <asp:MaskedEditExtender ID="MaskedEditExtenderFechaInicioHasta" MaskType="Date" Mask="99/99/9999"
                                runat="server" UserDateFormat="DayMonthYear" TargetControlID="TextBoxFechaInicioHasta">
                            </asp:MaskedEditExtender>
                        </p>
                        <p class="FormLine">
                            <asp:Label ID="LabelFechaFinDesde" AssociatedControlID="TextBoxFechaFinDesde" runat="server"
                                Text="<%$Resources:Interfaz,FechaFin %>" CssClass="FormLabel" Width="72px"></asp:Label>
                            <asp:TextBox ID="TextBoxFechaFinDesde" runat="server" CssClass="FormTextBox" MaxLength="10"
                                Width="70px"></asp:TextBox>
                            <asp:CalendarExtender ID="CalendarExtenderFechaFinDesde" TargetControlID="TextBoxFechaFinDesde"
                                PopupButtonID="TextBoxFechaFinDesde" runat="server">
                            </asp:CalendarExtender>
                            <asp:MaskedEditExtender ID="MaskedEditExtenderFechaFinDesde" MaskType="Date" Mask="99/99/9999"
                                runat="server" UserDateFormat="DayMonthYear" TargetControlID="TextBoxFechaFinDesde">
                            </asp:MaskedEditExtender>
                            <asp:Label ID="LabelFechaFinHasta" AssociatedControlID="TextBoxFechaFinHasta" runat="server"
                                Text="<%$Resources:Interfaz,Hasta %>" CssClass="FormLabel"></asp:Label>
                            <asp:TextBox ID="TextBoxFechaFinHasta" runat="server" CssClass="FormTextBox" MaxLength="10"
                                Width="70px"></asp:TextBox>
                            <asp:CalendarExtender ID="CalendarExtenderFechaFinHasta" TargetControlID="TextBoxFechaFinHasta"
                                PopupButtonID="TextBoxFechaFinHasta" runat="server">
                            </asp:CalendarExtender>
                            <asp:MaskedEditExtender ID="MaskedEditExtenderFechaFinHasta" MaskType="Date" Mask="99/99/9999"
                                runat="server" UserDateFormat="DayMonthYear" TargetControlID="TextBoxFechaFinHasta">
                            </asp:MaskedEditExtender>
                        </p>
                        <p class="FormLine">
                            <asp:Label ID="LabelEstado" AssociatedControlID="DropDownListEstado" runat="server"
                                Text="<%$Resources:Interfaz,Estado %>" CssClass="FormLabelCombo" Width="75px"></asp:Label>
                            <asp:DropDownList ID="DropDownListEstado" DataSourceID="EntityDataSourceEstado" DataTextField="Nombre"
                                DataValueField="EstadoID" runat="server" Width="196px">
                            </asp:DropDownList>
                            <asp:EntityDataSource ID="EntityDataSourceEstado" runat="server" ConnectionString="name=ACBProyectosEntities"
                                DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vEstadosProyectos"
                                OrderBy="it.EstadoID ASC">
                            </asp:EntityDataSource>
                        </p>
                    </fieldset>
                </asp:Panel>
                <asp:Panel ID="PanelButton" CssClass="PanelSearchButton" runat="server">
                    <asp:Button ID="ButtonBuscar" CssClass="ButtonGray" runat="server" Text="<%$Resources:Interfaz,BotonBuscar %>" />
                    <asp:Button ID="ButtonResetear" CssClass="ButtonGray" runat="server" Text="<%$Resources:Interfaz,BotonResetear %>" />
                    <asp:Button ID="ButtonCancelar" CssClass="ButtonGray" runat="server" Text="<%$Resources:Interfaz,BotonCancelar %>" />
                </asp:Panel>
            </asp:Panel>
            <asp:ModalPopupExtender ID="ModalPopupExtenderSearchPanel" ClientIDMode="AutoID"
                PopupControlID="PanelSearch" TargetControlID="ButtonSearch" DropShadow="true"
                PopupDragHandleControlID="PanelCab" runat="server">
            </asp:ModalPopupExtender>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
