﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" Theme="ACBP" MasterPageFile="~/Site.Master"
    CodeBehind="TareasEquipo.aspx.vb" Inherits="ACBProyectos.TareasEquipo" Culture="Auto"
    UICulture="Auto" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register TagPrefix="Menu" Src="~/WebControls/Menu/MenuLateral.ascx" TagName="Lateral" %>
<%@ Register TagPrefix="Menu" Src="~/WebControls/Menu/MenuTareas.ascx" TagName="Tareas" %>
<asp:Content ID="HeaderConent" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="MenuContent" ContentPlaceHolderID="LeftContent" runat="server">
    <Menu:Lateral ID="MenuLateral" ClientIDMode="AutoID" runat="server" />
</asp:Content>
<asp:Content ID="SubMenu" ContentPlaceHolderID="SubMenu" runat="server">
    <Menu:Tareas ID="MenuTareas" ClientIDMode="AutoID" runat="server" />
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <asp:UpdatePanel ID="UpdatePanelTareas" runat="server">
        <ContentTemplate>
            <div class="Toolbar">
                <asp:ImageButton ID="ButtonNewTarea" ImageUrl="~/Styles/Imagenes/addTarea.png" PostBackUrl="~/Pages/Tareas/AddTarea.aspx"
                    runat="server" AlternateText="<%$Resources:Interfaz,MapAddTarea %>" />
                <asp:ImageButton ID="ButtonSearch" ImageUrl="~/Styles/Imagenes/buscar.png" runat="server"
                    AlternateText="<%$Resources:Interfaz,BotonBuscar %>" />
                <div style="float: right; margin-top: -20px;">
                    <asp:Label ID="LabelProyecto" AssociatedControlID="DropDownListProyectos" runat="server"
                        Text="<%$Resources:Interfaz,Proyecto %>" CssClass="FormLabel" Width="60px"></asp:Label>
                    <asp:DropDownList ID="DropDownListProyectos" runat="server" Width="290px" DataTextField="Nombre"
                        DataValueField="ProyectoID" AutoPostBack="true">
                    </asp:DropDownList>
                    <asp:ListSearchExtender ID="ListSearchExtenderProyectos" TargetControlID="DropDownListProyectos"
                        runat="server" PromptCssClass="SearchExtender" PromptText="<%$Resources:Interfaz,SearchExtenderProyectos %>"
                        PromptPosition="Top">
                    </asp:ListSearchExtender>
                </div>
                <asp:LoginView ID="LoginViewProyectos" runat="server">
                    <RoleGroups>
                        <asp:RoleGroup Roles="Administrador">
                            <ContentTemplate>
                                <asp:EntityDataSource ID="EntityDataSourceProyecto" runat="server" ConnectionString="name=ACBProyectosEntities"
                                    DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" CommandText="SELECT tblProyecto.ProyectoID, tblProyecto.Nombre 
                                    FROM tblProyecto INNER JOIN tblCliente ON tblProyecto.ClienteID = tblCliente.ClienteID 
                                    WHERE (tblProyecto.IsBaja = False) AND (tblCliente.IsBaja = False)">
                                </asp:EntityDataSource>
                            </ContentTemplate>
                        </asp:RoleGroup>
                        <asp:RoleGroup Roles="Jefe de Proyecto,Analista / Programador">
                            <ContentTemplate>
                                <asp:EntityDataSource ID="EntityDataSourceProyecto" runat="server" ConnectionString="name=ACBProyectosEntities"
                                    DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vProyectosTareas"
                                    OrderBy="it.Nombre ASC" Where="it.RecursoID=@RecursoID">
                                    <WhereParameters>
                                        <asp:SessionParameter Name="RecursoID" SessionField="RecursoID" Type="Object" />
                                    </WhereParameters>
                                </asp:EntityDataSource>
                            </ContentTemplate>
                        </asp:RoleGroup>
                    </RoleGroups>
                </asp:LoginView>
            </div>
            <div class="GridContent">
                <asp:GridView ID="GridViewTareas" SkinID="GridACBP" runat="server" AutoGenerateColumns="False"
                    DataKeyNames="TareaID" DataSourceID="EntityDataSourceTareas" AllowSorting="true"
                    AllowPaging="true" PageSize="13" EmptyDataText="<%$Resources:Interfaz,EmptyDataText %>">
                    <Columns>
                        <asp:BoundField DataField="TareaID" HeaderText="TareaID" ReadOnly="True" SortExpression="TareaID"
                            Visible="false" />
                        <asp:BoundField DataField="Asunto" HeaderText="<%$Resources:Interfaz,Asunto %>" SortExpression="Asunto"
                            ItemStyle-Width="240px" HeaderStyle-Width="240px" />
                        <asp:BoundField DataField="Prioridad" HeaderText="<%$Resources:Interfaz,Prioridad %>"
                            SortExpression="Prioridad" ItemStyle-Width="60px" HeaderStyle-Width="60px" />
                        <asp:BoundField DataField="Estado" HeaderText="<%$Resources:Interfaz,Estado %>" SortExpression="Estado"
                            ItemStyle-Width="80px" HeaderStyle-Width="80px" />
                        <asp:BoundField DataField="FechaInicio" HeaderText="<%$Resources:Interfaz,FechaInicio %>"
                            SortExpression="FechaInicio" ItemStyle-Width="80px" HeaderStyle-Width="80px"
                            DataFormatString="{0:d}" />
                        <asp:BoundField DataField="Responsable" HeaderText="<%$Resources:Interfaz,Responsable %>"
                            SortExpression="Responsable" ItemStyle-Width="220px" HeaderStyle-Width="220px" DataFormatString="{0:d}" />
                        <asp:CheckBoxField DataField="IsBaja" HeaderText="IsBaja" SortExpression="IsBaja"
                            Visible="false" />
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:ImageButton ID="ButtonUpdate" CommandName="Modificar" runat="server" CommandArgument='<%# Eval("TareaID")%>'
                                    AlternateText="<%$Resources:Interfaz,AlternateTextUpdateGrid %>" ImageUrl="~/Styles/Imagenes/btnUpdate.png">
                                </asp:ImageButton>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:ImageButton ID="ButtonEliminar" CommandName="Eliminar" CommandArgument='<%# Eval("TareaID")%>'
                                    runat="server" AlternateText="<%$Resources:Interfaz,AlternateTextDeleteGrid %>"
                                    ImageUrl="~/Styles/Imagenes/btnDelete.png"></asp:ImageButton>
                                <asp:ConfirmButtonExtender ID="ConfirmButtonExtenderEliminar" TargetControlID="ButtonEliminar"
                                    ConfirmText="<%$Resources:Interfaz,ConfirmDeleteGrid %>" runat="server">
                                </asp:ConfirmButtonExtender>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:ImageButton ID="ButtonActivar" CommandName="Activar" CommandArgument='<%# Eval("TareaID")%>'
                                    runat="server" AlternateText="<%$Resources:Interfaz,AlternateTextActivarGrid %>"
                                    ImageUrl="~/Styles/Imagenes/btnActivar.png" Visible='<%# IIf(Eval("IsBaja"),true,false) %>'>
                                </asp:ImageButton>
                                <asp:ImageButton ID="ButtonDesactivar" CommandName="Desactivar" CommandArgument='<%# Eval("TareaID")%>'
                                    runat="server" AlternateText="<%$Resources:Interfaz,AlternateTextDesactivarGrid %>"
                                    ImageUrl="~/Styles/Imagenes/btnDesactivar.png" Visible='<%# IIf(Eval("IsBaja"),false,true) %>'>
                                </asp:ImageButton>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
                <asp:EntityDataSource ID="EntityDataSourceTareas" runat="server" ConnectionString="name=ACBProyectosEntities"
                    DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vTareasEquipo"
                    OrderBy="it.FechaInicio DESC" Where="it.ProyectoID=@ProyectoID">
                    <WhereParameters>
                        <asp:ControlParameter ControlID="DropDownListProyectos" Name="ProyectoID" Type="Int32" />
                    </WhereParameters>
                </asp:EntityDataSource>
            </div>
            <!--Panel de búsqueda-->
            <asp:Panel ID="PanelSearch" CssClass="PanelSearch" runat="server" style="display:none">
                <asp:Panel ID="PanelCab" CssClass="PanelSearchCab" runat="server">
                    <asp:Label ID="LabelCabecera" runat="server" Text="<%$Resources:Interfaz,CabFiltros %>"></asp:Label>
                </asp:Panel>
                <asp:Panel ID="PanelText" CssClass="PanelSearchForm" runat="server">
                    <fieldset class="FormGrupos">
                        <legend>Campos de filtro</legend>
                        <p class="FormLine" style="margin-top: 10px">
                            <asp:Label ID="LabelFechaInicioDesde" AssociatedControlID="TextBoxFechaInicioDesde"
                                runat="server" Text="<%$Resources:Interfaz,FechaInicio %>" CssClass="FormLabel"
                                Width="72px"></asp:Label>
                            <asp:TextBox ID="TextBoxFechaInicioDesde" runat="server" CssClass="FormTextBox" MaxLength="10"
                                Width="70px"></asp:TextBox>
                            <asp:CalendarExtender ID="CalendarExtenderFechaInicioDesde" TargetControlID="TextBoxFechaInicioDesde"
                                PopupButtonID="TextBoxFechaInicioDesde" runat="server">
                            </asp:CalendarExtender>
                            <asp:MaskedEditExtender ID="MaskedEditExtenderFechaInicioDesde" MaskType="Date" Mask="99/99/9999"
                                runat="server" UserDateFormat="DayMonthYear" TargetControlID="TextBoxFechaInicioDesde">
                            </asp:MaskedEditExtender>
                            <asp:Label ID="LabelFechaInicioHasta" AssociatedControlID="TextBoxFechaInicioHasta"
                                runat="server" Text="<%$Resources:Interfaz,Hasta %>" CssClass="FormLabel"></asp:Label>
                            <asp:TextBox ID="TextBoxFechaInicioHasta" runat="server" CssClass="FormTextBox" MaxLength="10"
                                Width="70px"></asp:TextBox>
                            <asp:CalendarExtender ID="CalendarExtenderFechaInicioHasta" TargetControlID="TextBoxFechaInicioHasta"
                                PopupButtonID="TextBoxFechaInicioHasta" runat="server">
                            </asp:CalendarExtender>
                            <asp:MaskedEditExtender ID="MaskedEditExtenderFechaInicioHasta" MaskType="Date" Mask="99/99/9999"
                                runat="server" UserDateFormat="DayMonthYear" TargetControlID="TextBoxFechaInicioHasta">
                            </asp:MaskedEditExtender>
                        </p>
                        <p class="FormLine">
                            <asp:Label ID="LabelFechaFinDesde" AssociatedControlID="TextBoxFechaFinDesde" runat="server"
                                Text="<%$Resources:Interfaz,FechaFin %>" CssClass="FormLabel" Width="72px"></asp:Label>
                            <asp:TextBox ID="TextBoxFechaFinDesde" runat="server" CssClass="FormTextBox" MaxLength="10"
                                Width="70px"></asp:TextBox>
                            <asp:CalendarExtender ID="CalendarExtenderFechaFinDesde" TargetControlID="TextBoxFechaFinDesde"
                                PopupButtonID="TextBoxFechaFinDesde" runat="server">
                            </asp:CalendarExtender>
                            <asp:MaskedEditExtender ID="MaskedEditExtenderFechaFinDesde" MaskType="Date" Mask="99/99/9999"
                                runat="server" UserDateFormat="DayMonthYear" TargetControlID="TextBoxFechaFinDesde">
                            </asp:MaskedEditExtender>
                            <asp:Label ID="LabelFechaFinHasta" AssociatedControlID="TextBoxFechaFinHasta" runat="server"
                                Text="<%$Resources:Interfaz,Hasta %>" CssClass="FormLabel"></asp:Label>
                            <asp:TextBox ID="TextBoxFechaFinHasta" runat="server" CssClass="FormTextBox" MaxLength="10"
                                Width="70px"></asp:TextBox>
                            <asp:CalendarExtender ID="CalendarExtenderFechaFinHasta" TargetControlID="TextBoxFechaFinHasta"
                                PopupButtonID="TextBoxFechaFinHasta" runat="server">
                            </asp:CalendarExtender>
                            <asp:MaskedEditExtender ID="MaskedEditExtenderFechaFinHasta" MaskType="Date" Mask="99/99/9999"
                                runat="server" UserDateFormat="DayMonthYear" TargetControlID="TextBoxFechaFinHasta">
                            </asp:MaskedEditExtender>
                        </p>
                        <p class="FormLine">
                            <asp:Label ID="LabelPrioridad" AssociatedControlID="DropDownListPrioridad" runat="server"
                                Text="<%$Resources:Interfaz,Prioridad %>" CssClass="FormLabelCombo" Width="75px"></asp:Label>
                            <asp:DropDownList ID="DropDownListPrioridad" DataSourceID="EntityDataSourcePrioridad"
                                DataTextField="Nombre" DataValueField="PrioridadID" runat="server" Width="196px">
                            </asp:DropDownList>
                            <asp:EntityDataSource ID="EntityDataSourcePrioridad" runat="server" ConnectionString="name=ACBProyectosEntities"
                                DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vPrioridadesTareas"
                                OrderBy="it.PrioridadID ASC">
                            </asp:EntityDataSource>
                        </p>
                        <p class="FormLine">
                            <asp:Label ID="LabelEstado" AssociatedControlID="DropDownListEstado" runat="server"
                                Text="<%$Resources:Interfaz,Estado %>" CssClass="FormLabelCombo" Width="75px"></asp:Label>
                            <asp:DropDownList ID="DropDownListEstado" DataSourceID="EntityDataSourceEstado" DataTextField="Nombre"
                                DataValueField="EstadoID" runat="server" Width="196px">
                            </asp:DropDownList>
                            <asp:EntityDataSource ID="EntityDataSourceEstado" runat="server" ConnectionString="name=ACBProyectosEntities"
                                DefaultContainerName="ACBProyectosEntities" EnableFlattening="False" EntitySetName="vEstadosTareas"
                                OrderBy="it.EstadoID ASC">
                            </asp:EntityDataSource>
                        </p>
                    </fieldset>
                </asp:Panel>
                <asp:Panel ID="PanelButton" CssClass="PanelSearchButton" runat="server">
                    <asp:Button ID="ButtonBuscar" CssClass="ButtonGray" runat="server" Text="<%$Resources:Interfaz,BotonBuscar %>" />
                    <asp:Button ID="ButtonResetear" CssClass="ButtonGray" runat="server" Text="<%$Resources:Interfaz,BotonResetear %>" />
                    <asp:Button ID="ButtonCancelar" CssClass="ButtonGray" runat="server" Text="<%$Resources:Interfaz,BotonCancelar %>" />
                </asp:Panel>
            </asp:Panel>
            <asp:ModalPopupExtender ID="ModalPopupExtenderSearchPanel" ClientIDMode="AutoID"
                PopupControlID="PanelSearch" TargetControlID="ButtonSearch" DropShadow="true"
                PopupDragHandleControlID="PanelCab" runat="server">
            </asp:ModalPopupExtender>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
